xine-lib: x11osd Struct Reference

xine-lib 1.2.12

Public Types | Data Fields
x11osd Struct Reference

## Public Types
enum | { DRAWN , WIPED , UNDEFINED }

## Data Fields
Display * | display
int | screen
enum x11osd_mode | mode
union {
struct {
Window window
Pixmap mask_bitmap
GC mask_gc
GC mask_gc_back
int mapped
} shaped
struct {
uint32_t colorkey
vo_scale_t * sc
} colorkey
} | u
unsigned int | depth
Pixmap | bitmap
Visual * | visual
Colormap | cmap
GC | gc
int | width
int | height
int | x
int | y
enum x11osd:: { ... } | clean
xine_t * | xine

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
DRAWN |
WIPED |
UNDEFINED |

## Field Documentation

## ◆ bitmap

Pixmap x11osd::bitmap

Referenced by x11osd_blend(), x11osd_clear(), x11osd_create(), x11osd_destroy(), x11osd_drawable_changed(), x11osd_expose(), and x11osd_resize().

## ◆

enum { ... } x11osd::clean

Referenced by x11osd_blend(), x11osd_clear(), x11osd_colorkey(), x11osd_create(), x11osd_drawable_changed(), x11osd_expose(), and x11osd_resize().

## ◆ cmap

Colormap x11osd::cmap

Referenced by x11osd_blend(), x11osd_create(), x11osd_destroy(), and x11osd_drawable_changed().

## ◆ colorkey [1/2]

uint32_t x11osd::colorkey

Referenced by x11osd_clear(), and x11osd_colorkey().

## ◆ [2/2]

struct { ... } x11osd::colorkey

## ◆ depth

unsigned int x11osd::depth

Referenced by x11osd_create(), x11osd_drawable_changed(), and x11osd_resize().

## ◆ display

Display* x11osd::display

Referenced by x11osd_blend(), x11osd_clear(), x11osd_create(), x11osd_destroy(), x11osd_drawable_changed(), x11osd_expose(), and x11osd_resize().

## ◆ gc

GC x11osd::gc

Referenced by x11osd_blend(), x11osd_clear(), x11osd_create(), x11osd_destroy(), and x11osd_expose().

## ◆ height

int x11osd::height

Referenced by x11osd_clear(), x11osd_create(), x11osd_drawable_changed(), x11osd_expose(), and x11osd_resize().

## ◆ mapped

int x11osd::mapped

Referenced by x11osd_create(), x11osd_drawable_changed(), and x11osd_expose().

## ◆ mask_bitmap

Pixmap x11osd::mask_bitmap

Referenced by x11osd_blend(), x11osd_clear(), x11osd_create(), x11osd_destroy(), x11osd_drawable_changed(), x11osd_expose(), and x11osd_resize().

## ◆ mask_gc

GC x11osd::mask_gc

Referenced by x11osd_blend(), x11osd_create(), and x11osd_destroy().

## ◆ mask_gc_back

GC x11osd::mask_gc_back

Referenced by x11osd_clear(), x11osd_create(), and x11osd_destroy().

## ◆ mode

enum x11osd_mode x11osd::mode

Referenced by x11osd_blend(), x11osd_clear(), x11osd_colorkey(), x11osd_create(), x11osd_destroy(), x11osd_drawable_changed(), x11osd_expose(), and x11osd_resize().

## ◆ sc

vo_scale_t* x11osd::sc

## ◆ screen

int x11osd::screen

Referenced by x11osd_blend(), x11osd_clear(), x11osd_create(), and x11osd_drawable_changed().

## ◆

struct { ... } x11osd::shaped

Referenced by x11osd_blend(), x11osd_clear(), x11osd_create(), x11osd_destroy(), x11osd_drawable_changed(), x11osd_expose(), and x11osd_resize().

## ◆

union { ... } x11osd::u

Referenced by x11osd_blend(), x11osd_clear(), x11osd_colorkey(), x11osd_create(), x11osd_destroy(), x11osd_drawable_changed(), x11osd_expose(), and x11osd_resize().

## ◆ visual

Visual* x11osd::visual

Referenced by x11osd_create(), and x11osd_drawable_changed().

## ◆ width

int x11osd::width

Referenced by x11osd_clear(), x11osd_create(), x11osd_drawable_changed(), x11osd_expose(), and x11osd_resize().

## ◆ window

Window x11osd::window

Referenced by x11osd_create(), x11osd_destroy(), x11osd_drawable_changed(), x11osd_expose(), and x11osd_resize().

## ◆ x

int x11osd::x

## ◆ xine

xine_t* x11osd::xine

Referenced by x11osd_create().

## ◆ y

int x11osd::y

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_out/x11osd.c